List Indexing Errors

List Indexing Errors
List all indexing errors.

This method allows you to get all errors that occurred during an indexing.

For details on indexing errors, refer to the method to Get an indexing error by its ID.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/errors
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
index_id
Required

index_id

string
indexing_id
Required

indexing_id

Query Parameters
string
after
Optional

after

string
before
Optional

before

integer
limit
Optional
Constraints: exclusiveMinimum: 0 exclusiveMaximum: 1000 default: 100

limit

integer
offset
Optional
Constraints: minimum: 0 maximum: 4294967296 default: 0

offset

string
order
Optional
Constraints: default: asc

order

Possible values are : asc, desc,
boolean
set_num_objects
Optional
Constraints: default: false

set_num_objects

string
data_source_id
Optional

data_source_id

boolean
has_data_source
Optional

has_data_source

string
document_id
Optional

document_id

boolean
has_document
Optional

has_document

code
Optional

code

source
Optional

source


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns IndexingErrorListResponse of type(s) application/json
{
    "object": "string",
    "has_more": false,
    "num_objects": 0,
    "data": [
        {
            "id": "string",
            "code": "string",
            "source": "string",
            "created_at": 0,
            "document": {
                "origin_name": "string",
                "origin_ref": "string",
                "custom_origin_name": "string",
                "custom_origin_ref": "string",
                "id": "string",
                "object": "string",
                "state": "string",
                "media_type": "string",
                "knowledge_base_id": "string",
                "index_id": "string",
                "data_source_id": "string",
                "created_at": 0,
                "last_embedded_at": 0,
                "last_indexed_by_id": "string",
                "size_bytes": 0,
                "hash_sha256": "string",
                "reindexing_needed": false
            },
            "data_source_id": "string",
            "indexing_id": "string",
            "system_message": "string",
            "op_id": "string"
        }
    ],
    "first_id": "string",
    "last_id": "string"
}
string
object
Optional
Constraints: default: list

Object type, which is always list.

boolean
has_more
Optional

True, if the server may have more objects than returned in the response.

integer
num_objects
Required

Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).

array of object
data
Required

List of indexing errors.

string As uuid As uuid
first_id
Required

ID of the first element in the list (if any)

string As uuid As uuid
last_id
Required

ID of the last element in the list (if any)


404

Invalid combination of knowledge base ID, index ID, and indexing ID.

Operation doesn't return any data structure

410

An invalid ID was passed for paginating results.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/errors